%define upstream_name    Data-Taxi
%define upstream_version 0.96

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Taint-aware, XML-ish data serialization
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires: perl(Debug::ShowStuff)
BuildArch: noarch


%description
Taxi (*T*aint-*A*ware *X*ML-*I*sh) is a data serializer with several handy
features:

* Taint aware

  Taxi does not force you to trust the data you are serializing. None of
  the input data is executed.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.960.0-2.mga3
+ Revision: 365491
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 0.960.0-1.mga1
+ Revision: 28467
- mageia rebuild
- imported package perl-Data-Taxi

